from __future__ import (absolute_import, division,print_function)
import os
import pathlib
from .. import rigUtil
##モジュールの種類
_MODULETYPE = "skinWeight"

##アトリビュート名リスト
_ATTRS = [
                ##固有アトリビュート
                "targetDirectories",
]

##アトリビュートのタイプ　デフォルト値などオプションを定義
_ATTR_DICT = {
                "targetDirectories":  {"type":"string",  "multi":True,  "default":""}
}

##--------------------------------------------------------------------------------------------

def importSkinWeightFromDir(targetDirectories,setupDataPath,**kwargs):
    targetDirectories.sort()
    
    for targetDirectory in targetDirectories:
        
        ##check fullpath or relatives
        if os.path.exists(targetDirectory) == False:
            targetDirectory = setupDataPath + targetDirectory
        if os.path.exists(targetDirectory) == False:
            continue

        ##get all files
        targetDirectoryPath = pathlib.Path(targetDirectory)

        ##rglobで再帰的に取得すると、ファイル数が増えると重くなるので、
        ##可能であれば　2階層まで　とか制限を設けて検索方法を変えた方がいい
        filePathList = list(targetDirectoryPath.rglob("*.xml"))
        filePathList.sort()
        
        ##import files
        for filePath in filePathList:
            dirpath = str(filePath.parent).replace(os.path.sep,'/') + "/"
            fileName = filePath.name            
            rigUtil.importSkinWeight(dirpath,fileName)
    


##セットアップ実行用
def main(**kwargs):
    importSkinWeightFromDir(**kwargs)
    return
